Skip to content
Start here

Retrieve a list of all slots matching the specified parameters

GET/accounts/{account_id}/cni/slots

Retrieve a list of all slots matching the specified parameters

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
Path ParametersExpand Collapse
account_id: string

Customer account tag

Query ParametersExpand Collapse
address_contains: optional string

If specified, only show slots with the given text in their address field

cursor: optional number
formatint32
limit: optional number
minimum0
occupied: optional boolean

If specified, only show slots with a specific occupied/unoccupied state

site: optional string

If specified, only show slots located at the given site

speed: optional string

If specified, only show slots that support the given speed

ReturnsExpand Collapse
items: array of { id, facility, occupied, 3 more }
id: string

Slot ID

formatuuid
facility: { address, name }
address: array of string
name: string
occupied: boolean

Whether the slot is occupied or not

site: string
speed: string
account: optional string

Customer account tag

Retrieve a list of all slots matching the specified parameters

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cni/slots \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "items": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "facility": {
        "address": [
          "string"
        ],
        "name": "name"
      },
      "occupied": true,
      "site": "site",
      "speed": "speed",
      "account": "account"
    }
  ],
  "next": 0
}
Returns Examples
{
  "items": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "facility": {
        "address": [
          "string"
        ],
        "name": "name"
      },
      "occupied": true,
      "site": "site",
      "speed": "speed",
      "account": "account"
    }
  ],
  "next": 0
}